Subject: bug#23504: closed (Re: bug#23504: git 2.7.4 fails to clone repositories over HTTPS sources)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 11 May 2016 09:03:02 +0000

Your bug report

#23504: git 2.7.4 fails to clone repositories over HTTPS sources

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23504: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23504
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23504: git 2.7.4 fails to clone repositories over HTTPS sources
From: [email-masked] (Ludovic Courtès)
To: Dennis Mungai <[email-masked]>
Cc: [email-masked]
Date: Wed, 11 May 2016 11:02:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dennis Mungai <[email-masked]> skribis:

> Also, your workaround worked (in git, at least).
>
> I'm not sure if there are other cases affected by this in the wild.

Great, thanks for letting us know.

Ludo’.

Subject: git 2.7.4 fails to clone repositories over HTTPS sources
From: Dennis Mungai <[email-masked]>
To: [email-masked]
Date: Tue, 10 May 2016 15:30:22 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello there,

I'm using git 2.7.4 from a guix profile, and here is my current environment:

guix package -p ~/opt/guix-build-system --search-paths
warning: failed to install locale: Invalid argument
export PATH="/home/lin/opt/guix-build-system/bin:/home/lin/opt/guix-build-system/sbin"
export XDG_DATA_DIRS="/home/lin/opt/guix-build-system/share"
export GUIX_GTK3_PATH="/home/lin/opt/guix-build-system/lib/gtk-3.0"
export INFOPATH="/home/lin/opt/guix-build-system/share/info"
export PKG_CONFIG_PATH="/home/lin/opt/guix-build-system/lib/pkgconfig"
export GUILE_LOAD_COMPILED_PATH="/home/lin/opt/guix-build-system/lib/guile/2.0/ccache"
export C_INCLUDE_PATH="/home/lin/opt/guix-build-system/include"
export CPLUS_INCLUDE_PATH="/home/lin/opt/guix-build-system/include"
export LIBRARY_PATH="/home/lin/opt/guix-build-system/lib"
export ACLOCAL_PATH="/home/lin/opt/guix-build-system/share/aclocal"

which env returns:

which env
/home/lin/opt/guix-build-system/bin/env

Now, with git clone example over HTTPS:

git clone --branch gn-latest https://github.com/genenetwork/guix-bioinformatics
Cloning into 'guix-bioinformatics'...
fatal: unable to access
'https://github.com/genenetwork/guix-bioinformatics/': server
certificate verification failed. CAfile: none CRLfile: none

The system git does not present such an error.

What could be wrong with my setup? Missing certificates?

At the moment, I've installed the nss-certs package hoping it would be
a workaround as these are Mozilla certs, but to no avail.

Thanks and regards,

Dennis.